Package weka.core.stemmers

# Class IteratedLovinsStemmer

java.lang.Object
weka.core.stemmers.LovinsStemmer
weka.core.stemmers.IteratedLovinsStemmer

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`, `Stemmer`, `TechnicalInformationHandler`

public class IteratedLovinsStemmer extends LovinsStemmer
An iterated version of the Lovins stemmer. It stems the word (in case it's longer than 2 characters) until it no further changes.
For more information about the Lovins stemmer see:
Julie Beth Lovins (1968). Development of a stemming algorithm. Mechanical Translation and Computational Linguistics. 11:22-31.

BibTeX:

     @article{Lovins1968,
        author = {Julie Beth Lovins},
        journal = {Mechanical Translation and Computational Linguistics},
        pages = {22-31},
        title = {Development of a stemming algorithm},
        volume = {11},
        year = {1968}
     }

Version:
  $Revision: 1.7 $
Author:
  Eibe Frank (eibe at cs dot waikato dot ac dot nz)
See Also:
  - `LovinsStemmer`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IteratedLovinsStemmer()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.
`String`
`globalInfo()`
Returns a string describing the stemmer
`static void`
`main(String[] args)`
Runs the stemmer with the given options
`String`
`stem(String str)`
Iterated stemming of the given word.

### Methods inherited from class weka.core.stemmers.LovinsStemmer

`getTechnicalInformation, stemString, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IteratedLovinsStemmer

public IteratedLovinsStemmer()

## Method Details

### globalInfo

public String globalInfo()
Returns a string describing the stemmer

Overrides:
  `globalInfo` in class `LovinsStemmer`
Returns:
  a description suitable for displaying in the explorer/experimenter gui

### stem

public String stem(String str)
Iterated stemming of the given word. Word is converted to lower case.

Specified by:
  `stem` in interface `Stemmer`
Overrides:
  `stem` in class `LovinsStemmer`
Parameters:
  `str` - the word to stem
Returns:
  the stemmed word

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `LovinsStemmer`
Returns:
  the revision

### main

public static void main(String[] args)
Runs the stemmer with the given options

Parameters:
  `args` - the options